> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.gomoney.me/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.gomoney.me/_mcp/server.

# Listar cobranças PIX

GET https://gmc-api.gomoney.me/api/pix

Retorna as cobranças PIX do usuário autenticado com filtro opcional por período.

Reference: https://docs.gomoney.me/api-reference/open-api-explorer/pix-charges/list-pix-charges

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: gomoney-docs-postman-collection
  version: 1.0.0
paths:
  /pix:
    get:
      operationId: list-pix-charges
      summary: Listar cobranças PIX
      description: >-
        Retorna as cobranças PIX do usuário autenticado com filtro opcional por
        período.
      tags:
        - pixCharges
      parameters:
        - name: initialDate
          in: query
          description: Data inicial do filtro.
          required: false
          schema:
            type: string
            format: date
        - name: finalDate
          in: query
          description: Data final do filtro.
          required: false
          schema:
            type: string
            format: date
        - name: Authorization
          in: header
          description: Token retornado pelo endpoint `/auth/login`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Lista retornada com sucesso.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PixChargeSummary'
        '401':
          description: Token inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
servers:
  - url: https://gmc-api.gomoney.me/api
    description: Base URL da API da plataforma
  - url: https://api-pix.gomoney.me
    description: Base URL da API PIX
components:
  schemas:
    PixChargeSummary:
      type: object
      properties:
        _id:
          type: string
        txid:
          type: string
        amount:
          type: number
          format: double
        status:
          type: string
        customerIdentifier:
          type: string
      title: PixChargeSummary
    UnauthorizedError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      title: UnauthorizedError
  securitySchemes:
    accessTokenBearer:
      type: http
      scheme: bearer
      description: Token retornado pelo endpoint `/auth/login`.

```

## Examples



**Response**

```json
[
  {
    "_id": "66f0b1b5c1f7b7dc0ce40001",
    "txid": "4b8f5a4f7d8c4b45a5a6258a7e2b1234",
    "amount": 150.5,
    "status": "opened",
    "customerIdentifier": "66f0b1b5c1f7b7dc0ce30001"
  }
]
```

**SDK Code**

```python success
import requests

url = "https://gmc-api.gomoney.me/api/pix"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript success
const url = 'https://gmc-api.gomoney.me/api/pix';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gmc-api.gomoney.me/api/pix"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby success
require 'uri'
require 'net/http'

url = URI("https://gmc-api.gomoney.me/api/pix")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://gmc-api.gomoney.me/api/pix")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://gmc-api.gomoney.me/api/pix', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp success
using RestSharp;

var client = new RestClient("https://gmc-api.gomoney.me/api/pix");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gmc-api.gomoney.me/api/pix")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```